Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057548 - Backgrounds not always updated properly when screen is resized
Summary: Backgrounds not always updated properly when screen is resized
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 10:27 UTC by Sitsofe Wheeler
Modified: 2015-06-29 14:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:43:40 UTC


Attachments (Terms of Use)

Description Sitsofe Wheeler 2014-01-24 10:27:17 UTC
Description of problem:
When resizing the screen the background wallpaper is not always redrawn correctly and the background is drawn in solid blue.

Version-Release number of selected component (if applicable):
gnome-shell-3.10.3-1.fc20.x86_64

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Start GNOME 3 inside VMWare Fusion windowed mode.
2. Make the window of the VM slightly larger/smaller vertically.
3. Repeat step 2.

Actual results:
Eventually the background will turn blue after step 2 and the wallpaper image will not be drawn.

Expected results:
Wallpaper image to always be redrawn.

Additional info:
This also affects the lock screen image although once that goes bad it seems to require an alt-f2 restart to be drawn correctly from then on.

Comment 1 Ian Collier 2014-06-05 11:47:12 UTC
I can reliably duplicate this behaviour with Xvnc on a standard Fedora 20 desktop:

Xvnc -geometry 1024x768 -rfbAuth ~/.vnc/passwd :14 &
vncviewer -passwd ~/.vnc/passwd :14 &
DISPLAY=:14 gnome-session

I don't have a monitors.xml.  When the gnome-session starts up, it immediately resizes the VNC window to 1920x1200, and when it finishes initialising, the background is white.  If I start up a terminal, the terminal has a thin blue border round it, but the rest of the background is still white.  Moving the terminal around the screen leaves a trail because the background is not being redrawn properly.  The trail is cleared if the mouse pointer is moved into the background outside the terminal window.

This also happens if monitors.xml specifies a different size (larger or smaller) than the initial VNC window:

Run gnome-control-center, select Displays and save 1024x768 as the chosen resolution.  Incidentally, changing the screen size in this way fixes the gnome-shell for the current session.  In addition, when repeating the above test, the background is now displayed correctly.  However, if the test is now re-run with the geometry of Xvnc changed to 1280x1024, gnome-shell resizes the screen to 1024x768 and again has a white background that isn't redrawn properly.

Version of gnome-shell on this setup: gnome-shell-3.10.4-4.fc20.x86_64

Comment 2 Andy Green 2014-08-11 00:52:17 UTC
(In reply to Ian Collier from comment #1)
> I can reliably duplicate this behaviour with Xvnc on a standard Fedora 20
> desktop:
> 
> Xvnc -geometry 1024x768 -rfbAuth ~/.vnc/passwd :14 &
> vncviewer -passwd ~/.vnc/passwd :14 &
> DISPLAY=:14 gnome-session
> 
> I don't have a monitors.xml.  When the gnome-session starts up, it
> immediately resizes the VNC window to 1920x1200, and when it finishes
> initialising, the background is white.  If I start up a terminal, the
> terminal has a thin blue border round it, but the rest of the background is
> still white.  Moving the terminal around the screen leaves a trail because
> the background is not being redrawn properly.  The trail is cleared if the
> mouse pointer is moved into the background outside the terminal window.
> 
> This also happens if monitors.xml specifies a different size (larger or
> smaller) than the initial VNC window:
> 
> Run gnome-control-center, select Displays and save 1024x768 as the chosen
> resolution.  Incidentally, changing the screen size in this way fixes the
> gnome-shell for the current session.  In addition, when repeating the above
> test, the background is now displayed correctly.  However, if the test is
> now re-run with the geometry of Xvnc changed to 1280x1024, gnome-shell
> resizes the screen to 1024x768 and again has a white background that isn't
> redrawn properly.
> 
> Version of gnome-shell on this setup: gnome-shell-3.10.4-4.fc20.x86_64

Thanks Ian, I have the same problem with gnome-shell-3.10.4-8.fc20.x86_64 and your workaround of changing the resolution solves it for the session, removing a great annoyance, since it has been a long time since I saw such window frame trails on Windows 95... now it looks beautiful again.

Also I can confirm what sitsofe was saying about getting a blue background redraw one time after leaving the activities menu, with different shade of blue rectangles where the windows were in the activities view.  Otherwise it redraws less often than it should with solid white.

-Andy

Comment 3 Ian Collier 2014-11-21 18:17:18 UTC
I believe the patch here fixes this issue:

https://bugzilla.gnome.org/show_bug.cgi?id=709313

Although the patch is for 3.12, it applies more or less cleanly to the
Fedora 20 version.

Comment 4 Fedora End Of Life 2015-05-29 10:39:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:43:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.